## crystalspace 0.94-20020412-3

=== CS/Makefile ===
################################################################################
#
#           This is the root makefile for the Crystal Space engine
#
################################################################################

.PHONY: help banner showplatforms showconfig platforms all depend configure \
  configbanner clean cleanlib cleandep distclean libs plugins drivers \
  drivers2d drivers3d snddrivers netdrivers meshes softcanvas show

# The following two symbols are intended to be used in "echo" commands.
# config.mak can override them depending on configured platform's requirements.
"='
|=|
-include config.mak

# parameters for recursive make calls
RECMAKEFLAGS=--no-print-directory --no-builtin-rules
MAKEFLAGS+=r

include mk/user.mak
include mk/common.mak

# Find all available platform targets
SYSMAKEFILES=$(wildcard libs/cssys/*/*.mak)
SYSTARGETS=$(basename $(notdir $(SYSMAKEFILES)))

# The initial driver and application targets help text
SYSHELP = \
  echo $"The makefile system can be configured for the following platforms:$"
DRIVERHELP = \
  echo $"The following Crystal Space drivers can be built:$"
PLUGINHELP = \
  echo $"The following Crystal Space plug-in modules can be built:$"
APPHELP = \
  echo $"The following Crystal Space applications can be built:$"
LIBHELP = \
  echo $"The following Crystal Space libraries can be built:$"
DOCHELP = \
  echo $"The following Crystal Space documentation targets can be invoked:$"
define PSEUDOHELP
  echo $"The following pseudo targets can be invoked:$"
  echo $"  make all          Make all important targets$"
  echo $"  make apps         Make all applications$"
  echo $"  make libs         Make all static libraries$"
  echo $"  make plugins      Make all plug-in modules including drivers$"
  echo $"  make meshes       Make all mesh plugins$"
  echo $"  make drivers      Make all drivers$"
  echo $"  make drivers2d    Make all supported 2D graphics drivers$"
  echo $"  make drivers3d    Make all supported 3D graphics drivers (renderers)$"
  echo $"  make snddrivers   Make all supported sound drivers$"
  echo $"  make netdrivers   Make all supported network drivers$"
  echo $"  make depend       Make dependencies (recommended!)$"
  echo $"  make clean        Clean all files generated during build$"
  echo $"  make cleanlib     Clean all dynamic libraries$"
  echo $"  make cleandep     Clean all dependency rule files$"
  echo $"  make distclean    Clean everything$"
  echo $"  make platforms    List the available target platforms$"
endef
define SYSMODIFIERSHELP
  echo $(SEPARATOR)
  echo $"The following optional configuration modifiers may be specified:$"
  echo $"$"
  echo $"  USE_PLUGINS=yes$|no (default: yes)$"
  echo $"      Build drivers/plugins as dynamic/static modules.$"
  echo $"  MODE=optimize$|debug$|profile (default: optimize)$"
  echo $"      Select one of three available compilation modes.$"
  echo $"  EXTENSIVE_MEMDEBUG=yes$|no (default:no)$"
  echo $"      In debug mode, enable extensive heap validation.$"
endef

# If there is no target defined (makefile system was not configured),
# find the available targets and present the list to the user.
ifeq ($(TARGET),)

MAKESECTION=confighelp
include mk/cache.mak
include mk/install.mak
-include $(SYSMAKEFILES)

help: banner showplatforms

else

MAKESECTION=rootdefines
include mk/subs.mak

help: banner showconfig driverhelp pluginhelp libhelp apphelp dochelp \
  pseudohelp

dep:
	@$(MAKE) $(RECMAKEFLAGS) -f mk/cs.mak $@ DO_DEPEND=yes

depend: cleandep dep

clean cleanlib cleandep distclean show:
	@$(MAKE) $(RECMAKEFLAGS) -f mk/cs.mak $@

unknown:
	$(RM) config.mak include/volatile.h

platforms:
	@echo $(SEPARATOR)
	@$(MAKE) $(RECMAKEFLAGS) showplatforms TARGET="" TARGET_MAKEFILE=""

showconfig:
	@echo $"Configured for $(DESCRIPTION.$(TARGET)) with the following modifiers:$"
	@echo $"  USE_PLUGINS=$(USE_PLUGINS)$"
	@echo $"  MODE=$(MODE)$"
	@echo $"  EXTENSIVE_MEMDEBUG=$(EXTENSIVE_MEMDEBUG)$"
	@$(SYSMODIFIERS)
	@echo $(SEPARATOR)

driverhelp:
	@$(DRIVERHELP)
	@echo $(SEPARATOR)

pluginhelp:
	@$(PLUGINHELP)
	@echo $(SEPARATOR)

libhelp:
	@$(LIBHELP)
	@echo $(SEPARATOR)

apphelp:
	@$(APPHELP)
	@echo $(SEPARATOR)

dochelp:
	@$(DOCHELP)
	@echo $(SEPARATOR)

pseudohelp:
	@$(PSEUDOHELP)
	@echo $(SEPARATOR)

endif

banner:
	@echo $(SEPARATOR)
	@echo $"  Before compiling Crystal Space examine mk/user.mak and see if settings$"
	@echo $"  are suited to your system.$"
	@echo $(SEPARATOR)

showplatforms:
	@$(SYSHELP)
	@$(SYSMODIFIERSHELP)
	@echo $"$"
	@echo $"Example: make linux USE_PLUGINS=yes MODE=debug$"
	@echo $(SEPARATOR)

# Prepare for specific platform.
# WARNING: Try to avoid quotes in most important "echo" statements
# since several platforms (OS/2, DOS and WIN32) have a "echo" that does
# literal output, i.e. they do not strip quotes from string.
$(SYSTARGETS):
	@echo TARGET = $@>config.tmp
	@echo TARGET_MAKEFILE = $(filter %$@.mak,$(SYSMAKEFILES))>>config.tmp
	@$(MAKE) $(RECMAKEFLAGS) ROOTCONFIG=config configure \
		TARGET=$@ TARGET_MAKEFILE=$(filter %$@.mak,$(SYSMAKEFILES))

ifeq ($(ROOTCONFIG),config)

# Force config.tmp to be always rebuilt
.PHONY: config.tmp

configure: configbanner config.tmp
	@$(MAKE) $(RECMAKEFLAGS) ROOTCONFIG=volatile configure

configbanner:
	@echo $(SEPARATOR)
	@echo $"  Configuring makefiles for $(DESCRIPTION.$(TARGET)) [$(MODE)]$"
	@echo $(SEPARATOR)

config.tmp:
	@echo USE_PLUGINS = $(USE_PLUGINS)>>config.tmp
	@echo MODE = $(MODE)>>config.tmp
	@echo EXTENSIVE_MEMDEBUG = $(EXTENSIVE_MEMDEBUG)>>config.tmp
	@echo FORCEBUCK = $(FORCEBUCK)>>config.tmp
	@$(SYSCONFIG)
	$(subst DEST,config.mak,$(UPD))

endif
ifeq ($(ROOTCONFIG),volatile)

include mk/volatile.mak

configure: volatile.tmp

volatile.tmp: config.mak
	@$(DO.MAKE.VOLATILE)
	$(subst DEST,include/volatile.h,$(UPD))

endif

MAKESECTION=roottargets
include mk/subs.mak

=== CS/scripts/debian/Makefile ===
BUILDDIR=$(HOME)/debian/crystal
#DATE=$(shell date '+%Y%m%d')
VERSION=0.94
TAG=R0_94_001
DATE=20020412

default:
	@echo "=============================================================="
	@echo "You can build from your local copy"
	@echo "Typing:"
	@echo "	make fromlocal"
	@echo "Or from a CVS export (edit DATE in Makefile if you want a particular date)"
	@echo "Typing:"
	@echo "	make fromcvs"
	@echo "=============================================================="

# BUILD FROM CVS EXPORT
fromcvs: start cvsexportdate debfiles debbuild
# BUILD FROM LOCAL COPY
# just binaries
justbin: start copy debfiles debcopy debclean debconfigure debbinary
# don't rebuild all
retry: start copy debfiles debcopy debconfigure debbinary
# full with debuild
fromlocal: start copy debfiles debcopy debbuild

start:
	@echo "Building Crystalspace-$(VERSION).$(DATE)"

# Just to copy from local files
copy: $(BUILDDIR) $(BUILDDIR)/copy-stamp
$(BUILDDIR)/copy-stamp:
	echo "Copying files"
	cd ../../..; find CS | grep -v CVS | cpio -pdumvB $(BUILDDIR)/crystalspace-$(VERSION).$(DATE)
	touch $(BUILDDIR)/copy-stamp

# To anonymous login, do it only one time is needed
cvslogin:
	echo "Login crystalspace CVS archive as anonymous"
	echo "Password is <Enter>"
	cvs -d:pserver:anonymous@cvs.crystal.sourceforge.net:/cvsroot/crystal login

# If you want to export a special date
cvsexportdate: $(BUILDDIR) $(BUILDDIR)/cvsexportdate-stamp
$(BUILDDIR)/cvsexportdate-stamp: 
	echo "Exporting CVS by date $(DATE)"
	cd $(BUILDDIR) && cvs -d:pserver:anonymous@cvs.crystal.sourceforge.net:/cvsroot/crystal export -d crystalspace-$(VERSION).$(DATE) -D $(DATE) crystal
	touch $(BUILDDIR)/cvsexportdate-stamp

# If you want to export a special tag (to make e.g. orig file)
cvsexporttag: $(BUILDDIR) $(BUILDDIR)/cvsexporttag-stamp
$(BUILDDIR)/cvsexporttag-stamp: 
	echo "Exporting CVS by tag $(TAG)"
	cd $(BUILDDIR) && cvs -d:pserver:anonymous@cvs.crystal.sourceforge.net:/cvsroot/crystal export -d crystalspace_$(VERSION) -r $(TAG) crystal
	touch $(BUILDDIR)/cvsexporttag-stamp

# Prepare debian files
debfiles: $(BUILDDIR)/debfile-stamp
$(BUILDDIR)/debfile-stamp:
	echo "Moving debian files"
	mv $(BUILDDIR)/crystalspace-$(VERSION).$(DATE)/CS/scripts/debian/files $(BUILDDIR)/crystalspace-$(VERSION).$(DATE)/debian
	touch $(BUILDDIR)/debfile-stamp

debcopy:
	cd files ; find . | cpio -pdumvB $(BUILDDIR)/crystalspace-$(VERSION).$(DATE)/debian

debclean:
	cd $(BUILDDIR)/crystalspace-$(VERSION).$(DATE); fakeroot debian/rules clean
	
debconfigure:
	cd $(BUILDDIR)/crystalspace-$(VERSION).$(DATE); fakeroot debian/rules configure

debbinary:
	cd $(BUILDDIR)/crystalspace-$(VERSION).$(DATE); fakeroot debian/rules binary

debbuild:
	cd $(BUILDDIR)/crystalspace-$(VERSION).$(DATE); debuild

$(BUILDDIR):
	mkdir -p $(BUILDDIR)

clean:
	rm -f $(BUILDDIR)/*-stamp

=== debian/changelog ===
crystalspace (0.94-20020412-3) unstable; urgency=low

  * I completly missed version numbering to 2001 instead of 2002 

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.94-20020412-2) unstable; urgency=low

  * Make compile with -fPIC, this solve compile problems
  on ia64 (Closes: bug#142633)
  * Made a change in upstream plugins/net/driver/ensocket/inet.h
  size_t is now  socklen_t to try to correct autobuilder failure on s390.

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.94-20020412-1) unstable; urgency=low

  * Added suggested changes proposed by Gerhard Tonn <GerhardTonn@swol.de>
  to support s390 (Closes: bug#142404)
  * Renaming picview in cspicview because of name conflict with picview 
  package (Closes: bug#141198)
  * New upstream

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-8) unstable; urgency=low

  * Changed svgalibg1-dev dependancy to try to get autobuilders happy
  * I won't upload package daily when everything will compile on 
  all platforms (Closes: bug#140851)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-7) unstable; urgency=low

  * Changed version dependency on lib3ds-dev
  * Repeating Automan correction/improvment (Closes: bug#140793)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-6) unstable; urgency=low

  * Section changes in control file
  * Added dependancy on zlib1g (Closes: bug#140649)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-5) unstable; urgency=low

  * Repeating First upload (CLoses: bug#120691)
  * Removed csdemo from demos menus (Closes: bug#140508)
  * Added dependancy on on svgalib1 (Closes: bug#140510)

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-4) unstable; urgency=low

  * Automan correction/improvment

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020318-3) unstable; urgency=low

  * Added dependency on zip, libpng, libjpeg62
  svgalibg1, python2.1, libfreetype6, lib3ds

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020315-2) unstable; urgency=low

  * Added dependency on xlibmesa

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.93-20020315-1) unstable; urgency=low

  * First upload (CLoses: bug#120691)
  * Fix cs-config from Loic Dachary
  * Cleanup in rules and createmenus
  * Added Missing .cfg files from Loic

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.92-1) unstable; urgency=low

  * Made i386 only, no i[4-6]86 optimization
  * CVS Daily Packaging

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 13 Feb 2002 08:31:56 +0100

crystalspace (0.90-5) unstable; urgency=low

  * Added hints in menu
  * Added missing build dependencies
  * Force compiling with i386 

 -- Christian Bayle <bayle@aist.enst.fr>  Mon,  3 Dec 2001 17:52:23 +0100

crystalspace (0.90-4) unstable; urgency=low

  * Policy Cleaning
  * -Moved demos binaries to /usr/games
  * -Moved dev binary to /usr/bin
  * -Moved includes to /usr/include/crystalspace
  * Added man generator (Not all binaries yet)
  * Added menus for software or opengl rendering 

 -- Christian Bayle <bayle@aist.enst.fr>  Mon, 26 Nov 2001 10:22:33 +0100

crystalspace (0.90-3) unstable; urgency=low

  * Made better distribution of files beetween main and demos packages
  * Added demos and data packages

 -- Christian Bayle <bayle@aist.enst.fr>  Wed, 21 Nov 2001 15:16:07 +0100

crystalspace (0.90-2) unstable; urgency=low

  * Added more appli in menus 

 -- Christian Bayle <bayle@aist.enst.fr>  Mon, 19 Nov 2001 22:35:02 +0100

crystalspace (0.90-1) unstable; urgency=low

  * Initial Release.

 -- Christian Bayle <bayle@aist.enst.fr>  Tue, 20 Nov 2001 21:49:31 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: crystalspace
Section: games
Priority: optional
Maintainer: Christian Bayle <bayle@aist.enst.fr>
Build-Depends: debhelper (>> 3.0.0), python-dev (>= 2.0), nasm (>= 0.98.08-1), lib3ds-dev (>= 1.2.0), libogg-dev (>= 1.0rc2-1), libttf-dev (>= 1.4pre.20010424-1), libmikmod2-dev, libvorbis-dev, docbook-to-man, xlibmesa-dev, zip, libpng-dev, libjpeg62-dev, svgalibg1-dev [i386], libfreetype6-dev, zlib1g-dev
Standards-Version: 3.5.2

Package: crystalspace
Architecture: any
Depends: ${shlibs:Depends} 
Suggests: crystalspace-demos, crystalspace-doc, crystalspace-dev
Description: Multiplatform 3D Game Development Kit
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 

Package: crystalspace-dev
Section: devel
Architecture: any
Depends: crystalspace (= ${Source-Version}), libc6-dev
Description: Multiplatform 3D Game Development Kit dev files
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 

Package: crystalspace-doc
Section: doc
Architecture: all
Description: Multiplatform 3D Game Development Kit Documentation
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 

Package: crystalspace-demos
Section: games
Architecture: any
Depends: crystalspace (= ${Source-Version})
Description: Multiplatform 3D Game Development Kit Demos
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	# Activate all plugins
	perl -pi -e "s/^#PLUGINS/PLUGINS/" $(CURDIR)/CS/mk/user.mak
	cd CS; make linux
	# Make it not cpu specific (Intel)
	# CPU=i386 make linux (this was too intel specific)
	perl -pi -e "s/CFLAGS.SYSTEM.*mcpu.*\n//" $(CURDIR)/CS/config.mak
	# Force -fPIC as compiling/linking option
	perl -pi -e "s/(CC.*)/\1 -fPIC/" $(CURDIR)/CS/config.mak
	perl -pi -e "s/(CXX.*)/\1 -fPIC/" $(CURDIR)/CS/config.mak
	perl -pi -e "s/(LINK.*)/\1 -fPIC/" $(CURDIR)/CS/config.mak
	# Install as much as possible
	perl -pi -e "s/#TO_INSTALL/TO_INSTALL/" $(CURDIR)/CS/cache.mak
	# Activating scripts
	chmod +x $(CURDIR)/debian/createmenus
	chmod +x $(CURDIR)/debian/addmissing
	chmod +x $(CURDIR)/debian/automan
	# Creating menus
	$(CURDIR)/debian/createmenus $(CURDIR)

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	cd CS; $(MAKE) all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-cd $(CURDIR)/CS; $(MAKE) clean
	-cd $(CURDIR)/CS; $(MAKE) distclean
	rm -f $(CURDIR)/CS/cache.mak
	rm -f $(CURDIR)/CS/config.mak

	dh_clean

DEVBIN=3ds2lev map2cs mdl2spr \
	csfedit csfgen cslight picview scfreg viewmesh vsh \
	cs-config

install: DH_OPTIONS=
install: build 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/crystalspace.
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/crystalspace
	cd CS; $(MAKE) install INSTALL_DIR=$(CURDIR)/debian/tmp/usr/lib/crystalspace
	# Let's fix some things
	$(CURDIR)/debian/addmissing $(CURDIR)

	find $(CURDIR)/debian/tmp/usr/lib/crystalspace/include -type f \
		-exec chmod 644 {} \;
	chmod +x \
	$(CURDIR)/debian/tmp/usr/lib/crystalspace/scripts/python/cssh.py
	chmod +x \
	$(CURDIR)/debian/tmp/usr/lib/crystalspace/scripts/python/pysimp.py
	
	# Move to respect Debian Policy

	# dev binaries in /usr/bin
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	mv $(addprefix $(CURDIR)/debian/tmp/usr/lib/crystalspace/bin/,\
		 $(DEVBIN))\
		$(CURDIR)/debian/tmp/usr/bin
	# renaming picview because of name conflict with picview package
	mv $(CURDIR)/debian/tmp/usr/bin/picview \
		$(CURDIR)/debian/tmp/usr/bin/cspicview
	# From Loic Dachary (fix for cs-config)
	perl -pi -e 's:^prefix=.*:prefix=/usr:' $(CURDIR)/debian/tmp/usr/bin/cs-config
	perl -pi -e 's:^includedir=.*:includedir=/usr/include/crystalspace:' $(CURDIR)/debian/tmp/usr/bin/cs-config
	perl -pi -e 's:libdir=.*:libdir=/usr/lib/crystalspace/lib:' $(CURDIR)/debian/tmp/usr/bin/cs-config

	# demos binaries in /usr/games
	mkdir -p $(CURDIR)/debian/tmp/usr/games
	mv $(CURDIR)/debian/tmp/usr/lib/crystalspace/bin/* \
		$(CURDIR)/debian/tmp/usr/games

	# includes in /usr/include/crystalspace
	mkdir -p $(CURDIR)/debian/tmp/usr/include
	mv $(CURDIR)/debian/tmp/usr/lib/crystalspace/include \
		$(CURDIR)/debian/tmp/usr/include/crystalspace

	dh_movefiles

	# Adding home made xpm
	cp $(CURDIR)/debian/xpm/*.xpm \
		$(CURDIR)/debian/crystalspace-demos/usr/share/pixmaps

	# Autogenerate man
	$(CURDIR)/debian/automan $(CURDIR)
	$(CURDIR)/debian/rules man
	rm -f $(CURDIR)/debian/man/*.sgml.?
	dh_installman -p crystalspace-demos $(CURDIR)/debian/man/*.6
	dh_installman -p crystalspace-dev $(CURDIR)/debian/man/*.1

%.xpm: %.jpg
	convert -size 32x32 $< $@
	mogrify -format xpm -geometry 32x32 -map /usr/X11R6/include/X11/pixmaps/cmap.xpm $@

man: $(subst .sgml,, $(wildcard $(CURDIR)/debian/man/*.sgml*))
%.1: %.sgml.1
	@echo "Creating $(notdir $@)"
	@docbook-to-man $< > $@
%.6: %.sgml.6
	@echo "Creating $(notdir $@)"
	@docbook-to-man $< > $@

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installman -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir 
	dh_testroot 
#	dh_installdebconf 
	dh_installdocs 
	dh_installexamples 
	dh_installmenu 
#	dh_installlogrotate 
#	dh_installemacsen
#	dh_installpam 
#	dh_installmime 
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_strip 
	dh_link
	dh_compress
	dh_fixperms 
	dh_makeshlibs 
	dh_installdeb 
#	dh_perl
	dh_shlibdeps -l$(CURDIR)/debian/usr/lib/crystalspace/lib
	dh_gencontrol
	dh_md5sums 
	dh_builddeb 

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## crystalspace 0.98-20040623-2

=== CS/plugins/cscript/csjava/Makefile ===
all : build

TOP=../../..

JAVASDK = $(HOME)/j2sdk1.4.2

DEPS = \
	$(TOP)/include/ivaria/cspace.i \
	$(TOP)/include/ivaria/javapre.i \
	$(TOP)/include/ivaria/javapost.i

LIBS = \
	$(TOP)/out/linuxx86/optimize/libs/cstool/libcstool.a \
	$(TOP)/out/linuxx86/optimize/libs/csgfx/libcsgfx.a \
	$(TOP)/out/linuxx86/optimize/libs/csgeom/libcsgeom.a \
	$(TOP)/out/linuxx86/optimize/libs/csutil/libcsutil.a

JAVA_SOURCES = \
    src/com/crystalspace/CS.java \
    src/com/crystalspace/csJEventHandler.java \
    src/com/crystalspace/examples/SimpleRoom.java

all : build

paths :
	@-mkdir -p src/com/crystalspace/examples

csjava.cpp : $(DEPS)
	cd src ; swig $(SWIG.FLAGS) -c++ -java -package 'com.crystalspace' -I$(TOP)/../include -o csjava.cpp $(TOP)/../include/ivaria/cspace.i
	mv src/*.java src/com/crystalspace/
	cp src/csjava.cpp .

src/com/crystalspace/CS.java : com/crystalspace/CS.java
	cp -a com/crystalspace/CS.java src/com/crystalspace/

src/com/crystalspace/csJEventHandler.java : com/crystalspace/csJEventHandler.java
	cp -a com/crystalspace/csJEventHandler.java src/com/crystalspace/

src/com/crystalspace/examples/SimpleRoom.java : com/crystalspace/examples/SimpleRoom.java
	cp -a com/crystalspace/examples/SimpleRoom.java src/com/crystalspace/examples/

csjava.o : csjava.cpp
	g++ -I$(TOP)/include -I $(JAVASDK)/include/ -I $(JAVASDK)/include/linux/ -c csjava.cpp

javamod.o : javamod.cpp
	g++ -I$(TOP)/include -I $(JAVASDK)/include/ -I $(JAVASDK)/include/linux/ -c javamod.cpp

swig : csjava.cpp

libcsjava.so : csjava.o javamod.o
	g++ -shared -o $(@) csjava.o javamod.o $(LIBS) -lbfd -liberty

build : paths libcsjava.so crystalspace.jar

jar : crystalspace.jar

crystalspace.jar : $(JAVA_SOURCES) csjava.cpp
	ant -emacs -Dbuild.compiler.emacs=true

clean :
	rm -fr src
	rm -f csjava.cpp csjava.o javamod.o libcsjava.so
	ant clean
	rm -fr build

=== debian/changelog ===
crystalspace (0.98-20040623-2) unstable; urgency=low

  * Corrected make disclean that was making fail most autobuild 

 -- Christian Bayle <bayle@debian.org>  Thu, 24 Jun 2004 23:01:26 +0200

crystalspace (0.98-20040623-1) unstable; urgency=low

  * New Upstream, should close FTBFS or at least change the way it fails,
  for this reason (Closes: bug#254684)(Closes: bug#255614)
  * Changed dependancy taking in account "res" comments
  * Added -fPIC for amd64 (Closes: bug#254680)
  * Removed (At least I tried) -I/usr/local/include (Closes: bug#216805)

 -- Christian Bayle <bayle@debian.org>  Thu, 24 Jun 2004 01:09:34 +0200

crystalspace (0.96-20030912-7) unstable; urgency=low

  * Removed support of libode an lib3ds for s390 

 -- Christian Bayle <bayle@debian.org>  Sat, 18 Oct 2003 23:41:20 +0200

crystalspace (0.96-20030912-6) unstable; urgency=low

  * Removed swigpygen
  * Build internal libs with -fPIC on ia64

 -- Christian Bayle <bayle@debian.org>  Sat, 18 Oct 2003 17:57:24 +0200

crystalspace (0.96-20030912-5) unstable; urgency=low

  * Removed support for lib3ds for ia64 since there is no dynamic
    version of lib3ds that makes fail build on ia64 since a static
    lib compiled without -fPIC can't be linked in a dynamic lib
    compiled with -fPIC (Closes: bug#216275)
  * Removed python plugin support for s390 and powerpc because of
    broken swig or g++

 -- Christian Bayle <bayle@debian.org>  Fri, 17 Oct 2003 21:51:55 +0200

crystalspace (0.96-20030912-4) unstable; urgency=low

  * Insert dh_buildinfo to get info at autobuid as
  adviced by Yann Dirson http://ydirson.free.fr/en/software/buildinfo.html

 -- Christian Bayle <bayle@debian.org>  Fri, 17 Oct 2003 15:10:18 +0200

crystalspace (0.96-20030912-3) unstable; urgency=low

  * Move the place where swipythgen is done
  * Now depends on swig1.3 instead of swig

 -- Christian Bayle <bayle@debian.org>  Thu, 16 Oct 2003 20:08:39 +0200

crystalspace (0.96-20030912-2) unstable; urgency=low

  * Added a dependancy on swig and make swigpygen 
  * Corrected a typo not to build lib3ds stuffs on hppa
  * Removed blocks from menu (this is not part of CS cvs now)

 -- Christian Bayle <bayle@debian.org>  Wed, 15 Oct 2003 21:11:16 +0200

crystalspace (0.96-20030912-1) unstable; urgency=low

  * Go to a new cvs snapshot, compatible with VOS packaging
  * CS is under heavy developpment and it's difficult to get a version
  available for all software using it, last release is rather old now
  I will try to find good snapshot date to get Planeshift work with
  this CS version.

 -- Christian Bayle <bayle@debian.org>  Tue, 14 Oct 2003 23:27:04 +0200

crystalspace (0.96-20030714-2) unstable; urgency=low

  * Stupid error in configure options 

 -- Christian Bayle <bayle@debian.org>  Mon, 14 Jul 2003 21:02:15 +0200

crystalspace (0.96-20030714-1) unstable; urgency=low

  * New build from fresh cvs

 -- Christian Bayle <bayle@debian.org>  Wed,  9 Jul 2003 21:48:09 +0200

crystalspace (0.96-20030609-5) unstable; urgency=low

  * Removed support for lib3ds and libode on hppa and alpha
  This always to try to (Closes: bug#198921)

 -- Christian Bayle <bayle@debian.org>  Mon, 14 Jul 2003 03:53:01 +0200

crystalspace (0.96-20030609-4) unstable; urgency=low

  * Readd 3ds support, since I NMUed lib3ds to compile with -fPIC on hppa
  and alpha, hope this will (Closes: bug#198921)
  * Don't try to rmdir a symlink (Closes: bug#198776) 

 -- Christian Bayle <bayle@debian.org>  Wed,  9 Jul 2003 18:13:05 +0200

crystalspace (0.96-20030609-3) unstable; urgency=low

  * Added a symlink test before rmdir (Closes: bug#198776) 

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 23:22:02 +0200

crystalspace (0.96-20030609-2) unstable; urgency=low

  * Remove 3ds support that make hppa FTBS should (Closes: bug#188916)
  * Correct an error when try to move a non existant file (Closes: bug#197570)

 -- Christian Bayle <bayle@debian.org>  Tue, 24 Jun 2003 21:52:56 +0200

crystalspace (0.96-20030609-1) unstable; urgency=low

  * Try to compile all with -fPIC for hppa should (Closes: bug#188916)

 -- Christian Bayle <bayle@debian.org>  Mon,  9 Jun 2003 14:32:27 +0200

crystalspace (0.96-20030205-5) unstable; urgency=low

  * Recompile against libvorbis0a (Closes: bug#185600)
  * Compile static libs without -fPIC (Closes: bug#183778)

 -- Christian Bayle <bayle@debian.org>  Fri, 28 Mar 2003 17:06:30 +0100

crystalspace (0.96-20030205-4) unstable; urgency=low

  * Hope to fix the remaining mixture of PIC and non PIC for build on hppa 

 -- Christian Bayle <bayle@debian.org>  Thu, 27 Feb 2003 21:46:28 +0100

crystalspace (0.96-20030205-3) unstable; urgency=low

  * CFLAGS += -fsigned-char for build failure on arm (Closes: bug#181222)
  Thanks to Julien Moine (speedblue@debian.org)
  * Compile even static lib with -fPIC to solve other build failure
  until upstream support for dynamic libs should (Closes: bug#182253)

 -- Christian Bayle <bayle@debian.org>  Wed, 26 Feb 2003 23:22:33 +0100

crystalspace (0.96-20030205-2) unstable; urgency=low

  * New upstream version from R0_96 branch (Closes: bug#180419)
  * -fno-rtti and -fno-exceptions removed from cs-config (Closes: bug#147818)
  * Fails to build on hppa made obsolete by new upstream (Closes: bug#146076)
  will have to be reopen with more info if this fails again
  * Isomap re-added (Closes: bug#178464)
  * Added new targets in rules, not completly satisfying, should be better in
  next upstream (Closes: bug#179528)
  * Moved config files in /etc and added proper symlink
  * Added a build dependancy on libode-dev
  * Now build static lib without -fPIC to respect policy

 -- Christian Bayle <bayle@debian.org>  Sat, 22 Feb 2003 21:10:42 +0100

crystalspace (0.94-20020502-4) unstable; urgency=low

  * Integrate NMU changes upstream (Next time please, when you NMU
    send a patch, thanks)
  * Failed to build from source patch (Closes: bug#174969)
  * Renaming zoo in cszoo for name conflic with /usr/bin/zoo


=== debian/control ===
Source: crystalspace
Section: games
Priority: optional
Maintainer: Christian Bayle <bayle@debian.org>
Build-Depends: debhelper (>= 4.0), python2.3-dev | python2.2-dev | python-dev , nasm (>= 0.98.08-1), lib3ds-dev (>= 1.2.0), libogg-dev (>= 1.0rc2-1), libmikmod2-dev, libvorbis-dev (>>1.0.0), docbook-to-man, xlibmesa-dev | nvidia-glx-dev, zip, libpng3-dev, libjpeg62-dev, libfreetype6-dev, zlib1g-dev, libode-dev, libopenal-dev, libcal3d-dev, swig1.3, dh-buildinfo, flex, bison, texinfo, tetex-bin, doxygen, gs-common, xlibs-dev, glutg3-dev, libmng-dev, libsdl1.2-dev
Build-Depends-Indep: debhelper (>= 4.0)
Standards-Version: 3.6.1.0

Package: crystalspace
Architecture: any
Depends: ${shlibs:Depends}, python 
Suggests: crystalspace-doc, crystalspace-dev
Description: Multiplatform 3D Game Development Kit
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 
 It is divided in a main package containing engine, a dev package
 containing dev related utilities, a doc package containing extended html
 documentation.

Package: crystalspace-dev
Section: devel
Architecture: any
Depends: crystalspace (= ${Source-Version}), libc6-dev
Description: Multiplatform 3D Game Development Kit dev files
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 
 This dev part contains dev utilities, like tools to create levels, and
 a config utility.

Package: crystalspace-doc
Section: doc
Architecture: all
Description: Multiplatform 3D Game Development Kit Documentation
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited. 
 This doc part contains an extended html documentation, describing the engine, 
 api documentation, and a dev tutorial.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4
# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), ia64))
	CONFFLAG = --without-lib3ds --without-libode
endif
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), hppa))
	CONFFLAG = --without-lib3ds --without-libode
endif
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), s390))
	CONFFLAG = --without-lib3ds --without-libode
endif
#NEWRENDERER = --enable-new-renderer

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Autobuild debugging stuff
	dh_buildinfo generate cat
	# Add here commands to configure the package.
	# Activate all plugins
	# @@@ FIXME: This does not handle plugins protected by ifeq/ifneq.
#	perl -pi -e "s/^#PLUGINS/PLUGINS/" $(CURDIR)/CS/mk/user.mak
	# Temp remove of render3d renderers
	#perl -pi -e "s/^PLUGINS(.*render3.*$)/#PLUGINS\1/" $(CURDIR)/CS/mk/user.mak
	perl -pi -e "s/^PLUGINS(.*glshader_cg$)/#PLUGINS\1/" $(CURDIR)/CS/mk/user.mak
	# Temp? remove of cslua
	#perl -pi -e "s/^PLUGINS(.*cslua.*$)/#PLUGINS\1/" $(CURDIR)/CS/mk/user.mak
	# Temp? remove of openal
	#perl -pi -e "s/^PLUGINS(.*openal.*$)/#PLUGINS\1/" $(CURDIR)/CS/mk/user.mak
	# Remove broken support of python because of swig or g++ on s390 and powerpc
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), s390))
	perl -pi -e "s/^PLUGINS(.*cspython.*$)/#PLUGINS\1/" $(CURDIR)/CS/mk/user.mak
endif
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), powerpc))
	perl -pi -e "s/^PLUGINS(.*cspython.*$)/#PLUGINS\1/" $(CURDIR)/CS/mk/user.mak
endif
	find $(CURDIR)/CS -name .cvsignore | xargs rm -f
	# --disable-qsqrt was added for a gcc3.2 bug
	#  then removed and I had to replace with cs_cv_cxx_qsqrt_ok=no ./configure
	#  then a correct test was added in configure
	#  this is adding #define CS_NO_QSQRT in CS/include/volatile.h
	# Don't support until this is dynamic lib
	# --enable-meta-info-embedding was by default before (enbed .csplugin info)
	perl -pi -e "s:\[crystal\]:\[crystalspace\]:" $(CURDIR)/CS/configure.ac
	cd CS; ./bin/autogen.sh ; cs_cv_prog_cxx_local_include=no ./configure --prefix=/usr --sysconfdir=/etc --enable-cpu-specific-optimizations=no $(NEWRENDERER) $(CONFFLAG)

	# Install as much as possible
#	perl -pi -e "s/#TO_INSTALL/TO_INSTALL/" $(CURDIR)/CS/cache.mak
	# Activating scripts
	chmod +x $(CURDIR)/debian/createmenus
#	chmod +x $(CURDIR)/debian/addmissing
	chmod +x $(CURDIR)/debian/automan
	# Creating menus
	$(CURDIR)/debian/createmenus $(CURDIR)
	# Some path adjustment
#	perl -pi -e "s:/usr/local/crystal:/usr/lib/crystalspace:" $(CURDIR)/CS/libs/csutil/generic/instpath.cpp
#	perl -pi -e "s:/usr/local/crystal:/usr/lib/crystalspace:" $(CURDIR)/CS/libs/csutil/unix/instpath.cpp

	touch configure-stamp

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp

	# Add here commands to compile the package.
	# For arm, powerpc, s390
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), arm))
	echo "CFLAGS.SYSTEM += -fsigned-char"  >> $(CURDIR)/CS/config.mak 
endif
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), powerpc))
	echo "CFLAGS.SYSTEM += -fsigned-char"  >> $(CURDIR)/CS/config.mak 
endif
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), s390))
	echo "CFLAGS.SYSTEM += -fsigned-char"  >> $(CURDIR)/CS/config.mak 
endif
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), hppa))
	echo "CFLAGS.SYSTEM += -fsigned-char"  >> $(CURDIR)/CS/config.mak 
endif

	# Compile static libs without -fPIC (except for ia64, amd64, hppa and alpha)
#ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), amd64))
#ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), ia64))
#ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), hppa))
#ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), alpha))
#	cd $(CURDIR)/CS; $(MAKE) libs
#endif
#endif
#endif
	# Force -fPIC as compiling/linking option
	echo "CFLAGS.SYSTEM += -fPIC"  >> $(CURDIR)/CS/config.mak 
	echo "LFLAGS.EXE += -fPIC"  >> $(CURDIR)/CS/config.mak 
	echo "LFLAGS.DLL += -fPIC"  >> $(CURDIR)/CS/config.mak 
	echo "LIBS.EXE += -fPIC"  >> $(CURDIR)/CS/config.mak 
	# Make dynamic version of libs
	# not yet usable
	#cd $(CURDIR)/CS; $(MAKE) libs USE_SHARED_LIBS=yes
	# Build the rest
	# Blocks is not anymore in CS CVS
	# Ok this is rather dirty but i didn't find where to put this for blocks (only for dyn lib in fact)
	#echo "LIBS.EXE += -lz"  >> $(CURDIR)/CS/config.mak 
	cd $(CURDIR)/CS; $(MAKE) all
	# should be too something like this $(MAKE) all USE_SHARED_LIBS=yes

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ -f $(CURDIR)/CS/Makefile ] && (cd $(CURDIR)/CS; $(MAKE) distclean) || true

	dh_clean

DEVBIN=map2cs mdl2spr vsh cs-config 3ds2lev csfgen cslight maya2spr md32spr milk2spr python.cex tbconvert

install: install-indep install-arch
install-indep:

	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#
	cd CS; DESTDIR=$(CURDIR)/debian/crystalspace-doc $(MAKE) install_doc

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -a
	dh_installdirs -a

	# Add here commands to install the package into debian/crystalspace.
	cd CS; DESTDIR=$(CURDIR)/debian/crystalspace $(MAKE) install_bin 
	cd CS; DESTDIR=$(CURDIR)/debian/crystalspace $(MAKE) install_lib 
	cd CS; DESTDIR=$(CURDIR)/debian/crystalspace $(MAKE) install_plugin 
	cd CS; DESTDIR=$(CURDIR)/debian/crystalspace $(MAKE) install_data 
	cd CS; DESTDIR=$(CURDIR)/debian/crystalspace $(MAKE) install_config 

	cd CS; DESTDIR=$(CURDIR)/debian/crystalspace-dev $(MAKE) install_include

	# Let's fix some things
	chmod +x $(CURDIR)/debian/crystalspace/usr/share/crystalspace/python/*.py

	# Adding home made xpm
	mkdir -p $(CURDIR)/debian/crystalspace/usr/share/pixmaps
	cp $(CURDIR)/xpm/*.xpm \
		$(CURDIR)/debian/crystalspace/usr/share/pixmaps

	# Autogenerate man
	$(CURDIR)/debian/automan $(CURDIR)
	$(CURDIR)/debian/rules man
	rm -f $(CURDIR)/debian/man/*.sgml.?
#	dh_installman -p crystalspace-demos $(CURDIR)/debian/man/*.6
#	dh_installman -p crystalspace-dev $(CURDIR)/debian/man/*.1
	dh_installman -p crystalspace $(CURDIR)/debian/man/*.1

%.xpm: %.jpg
	convert -size 32x32 $< $@
	mogrify -format xpm -geometry 32x32 -map /usr/share/pixmaps/cmap.xpm $@

man: $(subst .sgml,, $(wildcard $(CURDIR)/debian/man/*.sgml*))
%.1: %.sgml.1
	@echo "Creating $(notdir $@)"
	@docbook-to-man $< > $@
%.6: %.sgml.6
	@echo "Creating $(notdir $@)"
	@docbook-to-man $< > $@

# Must not depend on anything. This is to be called by
# binary-arch/binary-multi
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	# Autobuild debugging stuffs
	dh_buildinfo install
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	#dh_shlibdeps -l$(CURDIR)/debian/usr/lib/crystalspace/lib
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## crystalspace 0.98-20040623-2.1ubuntu1

=== debian/changelog ===
crystalspace (0.98-20040623-2.1ubuntu1) hoary; urgency=low

  * Fix bug in python module (Ubuntu #5512).
  * Build with python2.4, adjust build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  7 Feb 2005 14:52:24 +0100

crystalspace (0.98-20040623-2.1) unstable; urgency=high

  * NMU
  * Urgency high because of RC bugfix
  * Added autoconf to Build-Depends so the _modified_ configure.ac is actually
    compiled, to get proper paths for the Python files (Closes: bug#266287)

 -- Esteban Manchado Velázquez <zoso@debian.org>  Wed,  8 Sep 2004 12:39:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Christian Bayle <bayle@debian.org>
-Build-Depends: debhelper (>= 4.0), python2.3-dev | python2.2-dev | python-dev , nasm (>= 0.98.08-1), lib3ds-dev (>= 1.2.0), libogg-dev (>= 1.0rc2-1), libmikmod2-dev, libvorbis-dev (>>1.0.0), docbook-to-man, xlibmesa-dev | nvidia-glx-dev, zip, libpng3-dev, libjpeg62-dev, libfreetype6-dev, zlib1g-dev, libode-dev, libopenal-dev, libcal3d-dev, swig1.3, dh-buildinfo, flex, bison, texinfo, tetex-bin, doxygen, gs-common, xlibs-dev, glutg3-dev, libmng-dev, libsdl1.2-dev
+Build-Depends: debhelper (>= 4.2.18), python2.4-dev, python-dev , nasm (>= 0.98.08-1), lib3ds-dev (>= 1.2.0), libogg-dev (>= 1.0rc2-1), libmikmod2-dev, libvorbis-dev (>>1.0.0), docbook-to-man, xlibmesa-dev | nvidia-glx-dev, zip, libpng3-dev, libjpeg62-dev, libfreetype6-dev, zlib1g-dev, libode-dev, libopenal-dev, libcal3d-dev, swig1.3, dh-buildinfo, flex, bison, texinfo, tetex-bin, doxygen, gs-common, xlibs-dev, glutg3-dev, libmng-dev, libsdl1.2-dev, autoconf
 Build-Depends-Indep: debhelper (>= 4.0)
 Standards-Version: 3.6.1.0
